{
  "model": {
    "type": "select",
    "property": "custom_model_data",
    "cases": [
      {"when":"wishlist:umbrella", "model":{"type":"model","model":"umbrella:item/umbrella"}}
    ],
    "fallback": {
      "type": "minecraft:model",
      "model": "minecraft:item/wooden_sword"
    }
  }
}
